Update Alert
curl --request PUT \
--url https://dash.tinyanalytics.io/api/sites/{site}/alerts/{alertId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Sessions daily drop",
"kind": "metric",
"metric": "sessions",
"filters": [],
"window": "day",
"conditionType": "relative_decrease",
"thresholdKind": "percentage",
"lower": 0.3,
"channelIds": [],
"interval": "daily",
"cooldownMinutes": 720,
"enabled": true
}
'import requests
url = "https://dash.tinyanalytics.io/api/sites/{site}/alerts/{alertId}"
payload = {
"name": "Sessions daily drop",
"kind": "metric",
"metric": "sessions",
"filters": [],
"window": "day",
"conditionType": "relative_decrease",
"thresholdKind": "percentage",
"lower": 0.3,
"channelIds": [],
"interval": "daily",
"cooldownMinutes": 720,
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Sessions daily drop',
kind: 'metric',
metric: 'sessions',
filters: [],
window: 'day',
conditionType: 'relative_decrease',
thresholdKind: 'percentage',
lower: 0.3,
channelIds: [],
interval: 'daily',
cooldownMinutes: 720,
enabled: true
})
};
fetch('https://dash.tinyanalytics.io/api/sites/{site}/alerts/{alertId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Update Alert
Replaces the whole alert (send the complete object)
PUT
/
sites
/
{site}
/
alerts
/
{alertId}
Update Alert
Authorizations
An API key created in your account settings, sent as Authorization: Bearer <key>.
Body
application/json
Response
Success.
⌘I